Package: groovy.swing.factory

## [Groovy] Class SwingBorderFactory

- groovy.swing.factory.SwingBorderFactory

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `isLeaf()`
    `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`
    `void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, onFactoryRegistration, setChild, isLeaf, setParent, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, newInstance`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### boolean isLeaf()

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

    - #### void setParent(FactoryBuilderSupport builder, Object parent, Object child)